Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162157 - nuke -arts/-akode subpkg
Summary: nuke -arts/-akode subpkg
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 13:58 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-01 13:52:16 UTC


Attachments (Terms of Use)

Description Rex Dieter 2005-06-30 13:58:32 UTC
IMO, the extra complexity (packaging, and for end-user experience) of packaging
the -arts and -akode output plugins separately is not worth it.

I can *maybe* understand -akode, since it adds a dependancy on kdemultimedia,
but arts will always be installed, so I don't understand any benefit to
packaging it separately (unless you're using that as a way to discourage its use
in favor of -gstreamer).

No biggie, but at least consider it.

Comment 1 Tom Chiverton 2005-06-30 14:57:27 UTC
I agree, it's a total pain, and confusing to boot.

Comment 2 Aurelien Bompard 2005-07-01 12:42:33 UTC
Yeah, I guess it just makes it harder for the end user. I was following the
guidelines at http://amarok.kde.org/wiki/index.php/Packaging_amaroK
In the next version, I'll keep only -akode (and -xine of course).

Comment 3 Rex Dieter 2005-07-01 13:23:16 UTC
You probably ought to keep -visualization as well.   I can see some folks not
wanting xmms (and gtk+) to get pulled in.

Comment 4 Aurelien Bompard 2005-07-01 13:52:16 UTC
Yes, that's what I actually did in CVS. -arts was the only deleted supackage in
then end.


Note You need to log in before you can comment on or make changes to this bug.